> For the complete documentation index, see [llms.txt](https://docs.griaule.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.griaule.com/apis/ldap/user.md).

# User

## GetUser

> Recover the user data.

```json
{"openapi":"3.0.1","info":{"title":"LDAP API","version":"1.0.0"},"paths":{"/ldap/user/{user}":{"get":{"description":"Recover the user data.","tags":["User"],"operationId":"GetUser","summary":"GetUser","parameters":[{"name":"sessionId","description":"Session Identifier","in":"header","schema":{"type":"string"}},{"name":"user","description":"Username","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetUserResponse"}}}}}}}},"components":{"schemas":{"GetUserResponse":{"type":"object","properties":{"data":{"type":"object","properties":{"user":{"type":"string","description":"Username"},"groups":{"type":"array","description":"Array of groups","items":{"type":"string","description":"Name of the group the user will be inserted"}}}}}}}}}
```

## Modify

> Modify an user data.

```json
{"openapi":"3.0.1","info":{"title":"LDAP API","version":"1.0.0"},"paths":{"/ldap/user/{user}":{"put":{"description":"Modify an user data.","tags":["User"],"operationId":"Modify","summary":"Modify","parameters":[{"name":"sessionId","description":"Session Identifier","in":"header","schema":{"type":"string"}},{"name":"user","required":true,"description":"Username","in":"path","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModifyUserRequest"}}}},"responses":{"202":{"description":"Updated","content":{"*/*":{"schema":{"type":"object"}}}}}}}},"components":{"schemas":{"ModifyUserRequest":{"type":"object","properties":{"data":{"type":"object","properties":{"pass":{"type":"string","description":"Password"},"groups":{"type":"array","description":"Array of groups","items":{"type":"string","description":"Name of the group the user will be inserted"}}}}}}}}}
```

## Delete

> Delete a user in LDAP.

```json
{"openapi":"3.0.1","info":{"title":"LDAP API","version":"1.0.0"},"paths":{"/ldap/user/{user}":{"delete":{"description":"Delete a user in LDAP.","tags":["User"],"operationId":"Delete","summary":"Delete","parameters":[{"name":"sessionId","description":"Session Identifier","in":"header","schema":{"type":"string"}},{"name":"user","description":"Username","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Ok","content":{"*/*":{"schema":{"type":"object"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.griaule.com/apis/ldap/user.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
